apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
  labels:
    app.kubernetes.io/instance: logging-demo
    app.kubernetes.io/name: log-generator
    app.kubernetes.io/version: 0.3.3
  name: logging-demo-log-generator
spec:
  replicas: 2
  selector:
    matchLabels:
      app.kubernetes.io/instance: logging-demo
      app.kubernetes.io/name: log-generator
  template:
    metadata:
      labels:
        app.kubernetes.io/instance: logging-demo
        app.kubernetes.io/name: log-generator
    spec:
      containers:
      - args:
        - --count=0
        - --randomise=true
        - --event-per-sec=2
        - --byte-per-sec=0
        - --metrics.addr=:11000
        command:
        - /loggen
        image: ghcr.io/banzaicloud/log-generator:0.3.3
        name: log-generator
        ports:
        - containerPort: 11000
          name: metrics
          protocol: TCP
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: 
        runAsUser: 1001